lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite for Android: free password hash cracker in your pocket
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:   Wed, 20 Jul 2022 10:04:26 +0800
From:   Baokun Li <libaokun1@...wei.com>
To:     Greg KH <gregkh@...uxfoundation.org>, Theodore Ts'o <tytso@....edu>
CC:     <stable@...r.kernel.org>, <linux-ext4@...r.kernel.org>,
        <adilger.kernel@...ger.ca>, <jack@...e.cz>,
        <ritesh.list@...il.com>, <lczerner@...hat.com>,
        <enwlinux@...il.com>, <linux-kernel@...r.kernel.org>,
        <yi.zhang@...wei.com>, <yebin10@...wei.com>, <yukuai3@...wei.com>,
        Hulk Robot <hulkci@...wei.com>,
        Baokun Li <libaokun1@...wei.com>
Subject: Re: [PATCH 4.19] ext4: fix race condition between ext4_ioctl_setflags
 and ext4_fiemap

在 2022/7/20 3:14, Greg KH 写道:
> On Tue, Jul 19, 2022 at 02:57:18PM -0400, Theodore Ts'o wrote:
>> P.S.  If we go down this path, Greg K-H may also insist on getting the
>> bug fix to the 5.4 LTS kernel, so that a bug isn't just fixed in 4.19
>> LTS but not 5.4 LTS.  In which case, the same requirement of running
>> "-c ext4/all -g auto" and showing that there are no test regressions
>> is going to be a requirement for 5.4 LTS as well.
> Yes, if this issue is also in 5.4 or any newer kernels, it HAS to be
> fixed there at the same time, or before, as we can not have anyone
> upgrading from an older kernel to a newer one and having a regression.
>
> thanks,
>
> greg k-h
> .

Indeed.

-- 
With Best Regards,
Baokun Li


Powered by blists - more mailing lists